Subject: bug#19795: Allow for stateless users and groups in GuixSD

From: "Thompson, David" <[email-masked]>
Date: Fri, 6 Feb 2015 12:13:31 -0500

Currently, removing a user account from the users list in an OS config
does not remove the user account from a system when 'guix system
reconfigure' is run.  I think that user accounts not specified in the
user accounts list should be invalidated and that /etc/passwd and
other files be fully rebuilt each time.  In other words, I want a
stateless /etc/passwd, not a stateful one.

As Mark brought up on IRC, this proposed change in behavior may very
well surprise and frustrate another subset of users, so perhaps the
existing behavior should be preserved, with a bit that can be flipped
for stateless user accounts.

Thoughts?